Export customer's virtual numbers to CSV file
Download assigned to customer virtual numbers in CSV file.
File will contain only primary data about virtual numbers. The endpoint supports filtration, like GET /api/v1/did/me, but ignores pagination parameters.
Query Parameters
List of ISO alpha-2 country codes in upper case.
List of virtual numbers' unique ids.
Optional parameter for filtration, allows to filter out spammed or not spammed numbers.
Optional parameter that allows to search virtual numbers by did and/or comment values. The search operation is partial.
Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.
"_default" | "id" | "did" | "status" | "country" | "country_code" | "provider" | "frequency" | "next_payment_at" | "activated_at" | "activation" | "amount_one_time" | "monthly" | "amount_subscription" | "comment" | "billing_period" | "spam_checked_at" | "is_spam"Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.
"asc" | "desc"List of virtual numbers' statuses.
List of subscription statuses for virtual numbers' subscriptions.
Header Parameters
Your API token
Response Body
text/csv
text/csv
text/csv
text/csv
curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/did/csv" \ -H "Authorization: string""string"{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}